<bugID>524071<Summary>Places UI: Bookmark contextual dialog should be detachable into a persistent sidebar</Summary><Description>Note: this is a meta tracking bug for UI mockups and discussion of the overall user experience.

-Bookmarks contextual dialog picks up a small control to detach it in the upper
right hand corner
-Once detached:
--The panel turns into an actual window which is non modal but will stay on
top, and is re-sizeable
--The window has an inverse control that will reattach it to the star
--The window picks up the description field (as well as keyword and load in
sidebar behind a progressive disclosure control that holds state)
--The folder and tags areas are automatically expanded (first detach, later
they hold state)
--The window and panel maintain attached or detached state, so the next time a
bookmark is created (accelerator-D or click on star), the correct UI will
display for the user</Description></bugID>